/**
 * @version 2.0  13-07-2019
 * @author Matas Contreras, Camilo Fernndez, Mara Rivas
 */

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class ButtonNew implements ActionListener{
	public ButtonNew(JLabel user, JTextArea area, JTextField FAE){
		dataFAE = FAE;
		userName = user;
		textArea = area;
		window = new JFrame();
		window.setTitle("Nuevo Usuario");
		window.setSize(DEFAULT_WIDTH, DEFAULT_HEIGHT);
		
		/* Obtiene dimensiones de la pantalla */
	    Toolkit myScreen = Toolkit.getDefaultToolkit();
		Dimension screenSize = myScreen.getScreenSize();
		int widthScreen = screenSize.width;
		int heigthScreen = screenSize.height;
		  
	    /* Ventana inicia en el centro */
		window.setLocation(widthScreen/2 - DEFAULT_WIDTH/2, heigthScreen/2 - DEFAULT_HEIGHT/2);
	    
		/* Define el cono de la ventana */
	    Image yakitoIcono = myScreen.getImage("images/yakito.png");
	    window.setIconImage(yakitoIcono);
	    
	    /* Add buttons and other elements */
	    create = new JButton("OK");
	    create.setBounds(DEFAULT_WIDTH/2 - 35, DEFAULT_HEIGHT/2 - 10, 60, 30);
	    
	    text = new JLabel();
	    name = new JTextField();
	    text.setText("Nombre:");
	    text.setBounds(20, 20, 100, 20);
	    name.setBounds(100, 20, 150, 20);
	    
	    window.add(create);
	    window.add(text);
	    window.add(name);
	}
	
	public void actionPerformed(ActionEvent actionNew){
		window.setLayout(null);
		window.setVisible(true);
		ButtonCreate actionCreate = new ButtonCreate(userName, textArea, dataFAE);
		create.addActionListener(actionCreate);
	}
	
	public String getNameFile(){
		return words;
	}
	
	public class ButtonCreate implements ActionListener{
		public ButtonCreate(JLabel userName, JTextArea textArea, JTextField newFAE){
			label = userName;
			state = textArea;
			newDataFAE = newFAE;
			info = "Semestre\tAo\tAsignatura\t\t\tSigla\tCrditos\tNota\tFAE\r\n";
		}
		
		public void actionPerformed(ActionEvent actionNew){
			words = name.getText();
			
			if((words.length() == 0) && (!words.equals(""))){
				JOptionPane.showMessageDialog(new JFrame(), 
						"Debe ingresar un nombre. ", "Warning", JOptionPane.WARNING_MESSAGE);
			}else{
				try{
					if(!words.equals("")){
						userFile = new TextFile(words);
						if(userFile.ifCreate()){
							state.setText(info);
							label.setText(words);
							newDataFAE.setEditable(false);
							words = null;
							name.setText(null);
							window.dispose();
						}else{
							userFile = null;
							words = null;
							name.setText(null);
						}
					}
					
				}catch(Exception exception){
					JOptionPane.showMessageDialog(new JFrame(),	
							"No se ha podido crear el archivo. Intente nuevamente. ", "Error", JOptionPane.ERROR_MESSAGE);
				}
			}
		}
		
		public String info;
		public JLabel label;
		public JTextArea state;
		public JTextField newDataFAE;
	}
	
	public String words;
	public JLabel userName;
	public JTextArea textArea;
	public JTextField name, dataFAE;
	
	private JLabel text;
	private JFrame window;
	private JButton create;
	private TextFile userFile;
	
	public static final int DEFAULT_WIDTH = 300;
	public static final int DEFAULT_HEIGHT = 150;
}

