/**
 * @version 2.0  17-07-2019
 * @author Matas Contreras, Camilo Fernndez, Mara Rivas
 */

import java.io.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.filechooser.*;

public class ChargeData{
	public ChargeData(JMenuItem users, JLabel userName, JTextArea area){
		i = j = 0;
		name = userName;
		item = users;
		textArea = area;
		select = new SelectFile();
		item.addActionListener(select);
	}
	
	public class SelectFile implements ActionListener{
		public void actionPerformed(ActionEvent actionSelected){
			file = new JFileChooser();
			file.setFileFilter(new FileNameExtensionFilter("txt file", "txt"));
			returnVal = file.showOpenDialog(item);
			if (returnVal == JFileChooser.APPROVE_OPTION){
				user = file.getSelectedFile();
				try{
					/* Set user name */
					arrayName = user.getName().split("\\.");
					newName = arrayName[0];
					name.setText(newName);
					
					/* Section JTextArea (write data in window) */
					buffer = new BufferedReader(new FileReader(user));
					for(j = 0; ((line = buffer.readLine()) != null); j++){
						arrayData = line.split("\t");
						
						for(i = 0; i<arrayData.length; i++){
							if((i == 0) && (j == 0)){ data = arrayData[i] + "\t"; }
							else if(i == 2){ 
								if(arrayData[i].length() < 15) data += arrayData[i] + "\t\t\t";
								else if(arrayData[i].length() < 30) data += arrayData[i] + "\t\t"; }
							
							else if((i == (arrayData.length - 1)) && (j != 0)){ data += arrayData[i] + "\r\n"; }
							else{ data += arrayData[i] + "\t"; }
						}
					}
					
					/* Close buffer and add data to window */
					buffer.close();
					textArea.setText(data);
				
				}catch(Exception exp) {
					JOptionPane.showMessageDialog(new JFrame(),	"No se ha podido cargar los " + 
						"datos del usuario seleccionado. Intente nuevamente. ", "Error", JOptionPane.ERROR_MESSAGE);
				}
			}
		}
	}
	
	public JLabel name;
	public JTextArea textArea;
	
	private File user;
	private JMenuItem item;
	private int returnVal, i, j;
	private JFileChooser file;
	private SelectFile select;
	private BufferedReader buffer;
	private String line, newName, data;
	private String[] arrayName, arrayData;
}
