/**
 * @version 2.0  05-07-2019
 * @author Matas Contreras, Camilo Fernndez, Mara Rivas
 */

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class Information{
	public Information(JMenuItem information){
		item = information;
		window = new JFrame();
		window.setTitle("Acerca de ''PrioriJava''");
		window.setSize(DEFAULT_WIDTH, DEFAULT_HEIGHT);
		
		// Obtiene dimensiones de la pantalla
	    Toolkit myScreen = Toolkit.getDefaultToolkit();
		Dimension screenSize = myScreen.getScreenSize();
		int widthScreen = screenSize.width;
		int heigthScreen = screenSize.height;
		  
	    // Ventana inicia en el centro
		window.setLocation(widthScreen/2 - DEFAULT_WIDTH/2, heigthScreen/2 - DEFAULT_HEIGHT/2);
	    
		// Define el cono de la ventana
	    Image yakitoIcono = myScreen.getImage("images/yakito.png");
	    window.setIconImage(yakitoIcono);
	    
	    close = new JButton("Salir");
	    close.setBounds(DEFAULT_WIDTH/2 - 40, DEFAULT_HEIGHT - 90, 60, 30);
	    
	    textArea = new JTextArea();
		textArea.setText("''PrioriJava''  -  Versin 2.0\n"
				+ "Desarrollado por Matas Contreras, Camilo Fernndez y Mara Rivas.\n"
				+ "\n"
				+ "Software Libre.\n"
				+ "Se pide mantener autores iniciales en caso de realizar modificaciones.\n");
		
		textArea.setBounds(130, 20, 420, 320);
		textArea.setEditable(false);
		textArea.setBackground(new Color(0, 0, 0, 0));
		
	    label = new JLabel(new ImageIcon("images/utfsm.png"));
	    label.setSize(120, 120);
	    
	    window.add(label);
		window.add(close);
		window.add(textArea);
		window.setLayout(null);
		
		ButtonItem actionItem = new ButtonItem();
		item.addActionListener(actionItem);
	}	
	
	public class ButtonItem implements ActionListener{
		public void actionPerformed(ActionEvent actionNew){
			window.setVisible(true);
			
			close.addActionListener(new ActionListener(){
				public void actionPerformed(ActionEvent event){
					window.dispose();
				}
			});
		}
	}
	
	private JLabel label;
	private JFrame window;
	private JButton close;
	private JMenuItem item;
	private JTextArea textArea;
	
	public static final int DEFAULT_WIDTH = 550;
	public static final int DEFAULT_HEIGHT = 210;
}
